> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/tokenization/ja/implement-tokenization/mobairusdknotkun/visa-ctf-noapuri/debaisunobaindowosuru.md).

# デバイスのバインドを解除する

イシュアは、eコマース用デジタルカードとデバイスの間で以前に確立されたバインディングを解除できます。

この機能は〜を通じて利用できます `DigitalCardService` および `unbindDevice` API。

次の例は、APIの使用方法を示しています。

{% tabs %}
{% tab title="Android" %}

```kotlin
val digitalCardID = "" // デジタルカードのデバイスバインディングリストから取得
val bindingReference = "" // デバイスバインディングリストのdeviceIndex
val reason: DigitalCardService.UnbindReason? =
    DigitalCardService.UnbindReason.USER_DECISION // 任意。nullの場合はデフォルトでISSUER_DECISION

d1Task.digitalCardService().unbindDevice(
    digitalCardID,
    bindingReference,
    reason,
    object : D1Task.Callback<Void> {
        override fun onSuccess(data: Void?) {
            // 成功を処理します。
        }

        override fun onError(e: D1Exception) {
            // エラーを処理します。
        }
    }
)
```

```java
String digitalCardID = ""; // デジタルカードのデバイスバインディングリストから取得
String bindingReference = ""; // デバイスバインディングリストのdeviceIndex
DigitalCardService.UnbindReason reason =
        DigitalCardService.UnbindReason.USER_DECISION; // 任意。nullの場合はデフォルトでISSUER_DECISION

d1Task.digitalCardService().unbindDevice(
        digitalCardID,
        bindingReference,
        reason,
        new D1Task.Callback<Void>() {
            @Override
            public void onSuccess(Void data) {
                // 成功を処理します。
            }

            @Override
            public void onError(@NonNull D1Exception exception) {
                // エラーを処理します。
            }
        });
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/tokenization/ja/implement-tokenization/mobairusdknotkun/visa-ctf-noapuri/debaisunobaindowosuru.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
